
Foreman - Refactor #21039

Ensure dates are printed consistently with core

09/20/2017 12:51 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Adi Abramovitch   

Category: Web Interface   

Target version:    

Difficulty: easy Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8466

  

Description

Foreman 1.16 introduced two helpers that should be used whenever date/time information is printed.

date_time_absolute(time, format = :short)

date_time_relative(time)

 If it's applicable, the Foreman dependency of a plugin should be bumped to 1.16

Related issues:

Related to Foreman - Feature #19047: Unify the way how we display dates Closed 03/28/2017

Copied from OpenSCAP - Refactor #21038: Ensure dates are printed consistently... Closed 09/20/2017

Associated revisions

Revision 61728728 - 05/03/2021 10:39 AM - Adi Abramovitch

Fixes #21039 - Ensure dates are printed consistently

History

#1 - 09/20/2017 12:51 PM - Marek Hulán

- Copied from Refactor #21038: Ensure dates are printed consistently with core added

#2 - 09/20/2017 12:52 PM - Marek Hulán

- Related to Feature #19047: Unify the way how we display dates added

#3 - 04/06/2021 11:28 AM - Ondřej Ezr

- Triaged changed from No to Yes

Found: `import_time`

#4 - 04/25/2021 09:24 AM - Adi Abramovitch

- Assignee set to Adi Abramovitch

#5 - 04/25/2021 09:25 AM - Adi Abramovitch

- Project changed from Ansible to Foreman

#6 - 04/25/2021 09:28 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8466 added

#7 - 05/03/2021 10:39 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added
#8 - 05/03/2021 11:01 AM - Adi Abramovitch

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|617287284cd1896917f61cd700861f38edfca90f.

#9 - 05/05/2021 02:27 PM - Tomer Brisker

- Category set to Web Interface
